System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

A can be used to represent an expression that declares an attribute. The attribute name and the arguments for the attribute are stored as properties of the object. A can be used to represent each argument for the attribute.

Represents an attribute declaration.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter is used to set the and properties.

  Initializes a new instance of the class using the specified code type reference.

  The that identifies the attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified name.

  The name of the attribute.
- Constructor
  2.0.0.0
  4.0.0.0
  System.ParamArray

  The parameter is used to set the and properties, and the parameter is used to set the property for the .

  Initializes a new instance of the class using the specified code type reference and arguments.

  The that identifies the attribute.
  An array of type that contains the arguments for the attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified name and arguments.

  The name of the attribute.
  An array of type that contains the arguments for the attribute.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeAttributeArgumentCollection To be added: an object of type 'CodeAttributeArgumentCollection' To be added

  Gets the arguments for the attribute.

- Property
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added. To be added.

  Gets the code type reference for the code attribute declaration.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the attribute being declared.